Image Hosted by ImageShack.us

Quando esce una nuova versione di driver Ati,prima di poterli installare bisogna disinstallare i pacchetti della versione precedente.
Inoltre e’ fondamentale imparare a disinstallare questi driver per poter incominciare un installazione andata male..senza ricorrere,per la troppa fretta,ad un installazione “ex-novo” del sistema operativo.
Per fare questo e’ sufficiente fare il percorso inverso all’installazione dei pacchetti .deb
Apriamo un terminale:

sudo apt-get remove fglrx-amdcccle fglrx-kernel-$(uname -r) fglrx-kernel-source

Per assicurarci che sia stato eliminato il pacchetto fglrx.tar.bz2 da /usr/src

sudo rm /usr/src/fglrx.tar.bz2
sudo rm -R /usr/src/modules

Questo e’ molto importante..altrimenti c’e’ il rischio che module-assistant pacchettizzi ed installi il tarball fglrx.tar.bz2 di una versione precedente.

Ora e’ possibile pacchettizzare di nuovo i driver .run e procedere con una nuova installazione.
Prima di fare cio’..assicuratevi di avere i linux-headers-$(uname -r)..altrimenti module-assistant non compilera’ il modulo fglrx

Lanciamo il solito

bash ati-driver-installer-8.36.5-x86.x86_64.run --buildpkg Ubuntu/feisty

Nell’esempio passeremo dai driver 8.35 agli 8.36

Pochi minuti e avremo i seguenti pacchetti da installare:

sudo dpkg -i xorg-driver-fglrx_8.36.5-1*.deb
sudo dpkg -i fglrx-kernel-source_8.36.5-1*.deb
sudo dpkg -i fglrx-amdcccle_8.36.5-1*.deb
sudo dpkg -i xorg-driver-fglrx-dev_8.36.5-1*.deb

Adesso assicuriamoci che in /usr/src sia ricomparso fglrx.tar.bz2 (installato mediante il pacchetto fglrx-kernel-source_8.36.5-1*.deb)
e procediamo con la compilazione del modulo.

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant build fglrx
sudo module-assistant install fglrx
sudo depmod -a
sudo modprobe fglrx

Ctrl+alt+backspace per riavviare xorg

dyve@a6j:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon X1600
OpenGL version string: 2.0.6458 (8.36.5)

Controlliamo nel gestore pacchetti che la versione dei driver sia effettivamente quella giusta:

Image Hosted by ImageShack.us

Non usate nessuno dei seguenti comandi

sudo aticonfig –initial
sudo aticonfig –overlay-type=Xv

Non servono assolutamente e cancellano alcune opzioni dello xorg.conf
A proposito..come potete vedere non c’e’ nessun problema con questi driver se volete installarli o aggiornarli..anzi..una volta acquisita esperienza e dimestichezza..tenere sempre aggiornati questi driver e’ cosa da 5 minuti.
I problemi..il 99% dei problemi..deriva da una errata configurazione di xorg..

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
18.206.16.123

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

, ,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

34 Comments

  • pierissimo ITALY 12 anni ago

    divilinu ma xkè mi dà questo errore quanto tento di creare i pacchetti deb:

    piero@pnblin:~$ bash ati-driver-installer-8.36.5-x86.x86_64.run –buildpkg Ubuntu/feisty
    Created directory fglrx-install.f10714
    Verifying archive integrity… All good.
    Uncompressing ATI Proprietary Linux Driver-8.36.5………………………………………..Extraction failed.
    Signal caught, cleaning up

    xkè??

      Quota

  • controlla che –buildpkg abbia i 2 – – e non una linea unica..a volte capita quando copi/incolli da wordpress

      Quota

  • pierissimo ITALY 12 anni ago

    controllato…. ma stesso identico errore….

      Quota

  • hai provato con sh al posto di bash?

      Quota

  • pierissimo ITALY 12 anni ago

    stesso identico errore!! ma non è che è l archivio che è corrotto?

      Quota

  • non lo so..se sai il francese..qua ne parlano

    http://www.quebecos.com/modules/newbb/viewtopic.php?topic_id=2932&forum=4

    hai provato invece a creare un link simbolico a /bin/bash?

    sudo ln -sf bash /bin/sh

    ogni tanto funziona ancora…poi lanci la pacchettizzazione

      Quota

  • Daniele ITALY 12 anni ago

    A me va il 3d,ma l’openGl no. Ho una ati 9550.
    Poi non capisco perchè quando spengo il pc all’avvio successivo non va più nulla. Se faccio partire i driver e riavvio allora va. Se spendo e accendo no. Cosa fo?

      Quota

  • @Daniele
    cosa vuoi dire con “non mi va l’openGL”?

      Quota

  • ciao dovresti aggiungere allal tua guida, (almeno col mio kernel 2.6.20-15 ho dovuto fare così), dopo aver rimosso la cartella /usr/src/modules, bisogna rimuovere anche il file fglrx.ko in /lib/modules/2.6.20-15-generic/volatile/, e poi procedere con l’installazione dei nuovi driver!

    Spero di essere di aiuto a chi come me non riusciva ad aggiornare i driver con questo kernel.

      Quota

  • @Marco
    e’ la stessa cosa di mettere in blacklist il vecchio fglrx.ko 8.28 nel file

    /etc/default/linux-restricted-modules-common

    “DISABLED_MODULES=”fglrx”

    di modo che non venga caricato all’avvio…
    (viene cancellato dalla memoria volatile ad ogni reboot)

      Quota

  • a me non lo faceva 😛 ….anche se non ho capito il perchè….

      Quota

  • @divlinux
    sono cryptos
    prova a vedere questo thread che ho aperto…
    http://forum.ubuntu-it.org/index.php?topic=88537.0

    ottengo questi output dopo l’aggiornamento…

      Quota

  • mastino ITALY 12 anni ago

    ciao ho questo problema

    sudo bash ati-driver-installer-8.36.5-x86.x86_64.run --buildpkg Ubuntu/feisty

    ho questa risposta

    Package build failed!
    Package build utility output:
    dpkg-parsechangelog: error: cannot open debian/changelog to find format: No such file or directory
    dpkg-buildpackage: unable to determine source package is
    Removing temporary directory: fglrx-install.D24633

      Quota

  • @mastino
    prova con i nuovi 8.37..inoltre non mettere piu’ “sudo bash” ma “sudo sh” davanti all’installer..;)

      Quota

  • mastino ITALY 12 anni ago

    grazie ho risolto copiando il file .run nella home.. poi da li sudo bash ecc ecc..

      Quota

  • @mastino
    allora era un errore di inesperienza..perche’ avevi lanciato il comando in una directory dove non era presente il .run..;)

      Quota

  • mastino ITALY 12 anni ago

    ho creato una cartella ati dentro la home con dentro il file .run ma non andava. il file lo trovava ma si bloccava durante il processo.. appena l’ho spostato nella home è andato.

      Quota

  • @mastino
    e’ cmq un errore “logistico” o di permessi..io i driver ati li ho sempre in /home/dyve/driver/ati/..;)

      Quota

  • mastino ITALY 12 anni ago

    grazie mille cmq ho un problema con la sessione xgl, nel senso che qualunque cosa faccia ci mette 20-30 secondi per aprire le finestre.. e lo fa in maniera assurda… dall’angolo in alto a destra a quello in basso a sinistra..poi la stessa cosa per l’altra metà dello schermo..mentre nella sessione gnome tutto funziona perfettamente.ho gia reinstallato i driver fglrx e anche beryl. ma non credo dipenda da loro.. help!tnx

      Quota

  • che versione di beryl stai utilizzando?
    non mettere beryl-manager in avvio automatico..entra normalmente in Xgl e poi avvia beryl-manager..e dimmi se si comporta alla stessa maniera
    la versione 0.2.1 di beryl non va piu’ con xgl..ci vuole la 0.3.0 git

      Quota

  • mastino ITALY 12 anni ago

    si uso i pacchetti di telperion .
    adesso dando
    fgl_glxgears

    ho scoperto questo :
    4 frames in 6.0 seconds = 0.667 FPS
    FGLTexMgr: open of shared memory object failed (Read-only file system)
    __FGLTexMgrCreateObject: __FGLTexMgrSHMmalloc failed!!!
    fglX11AllocateManagedSurface: __FGLTexMgrCreateObject failed!!
    FGLTexMgr: open of shared memory object failed (Read-only file system)
    __FGLTexMgrCreateObject: __FGLTexMgrSHMmalloc failed!!!
    fglX11AllocateManagedSurface: __FGLTexMgrCreateObject failed!!

    read-only file system????

      Quota

  • tranquillo..in sessione Xgl il DRI non funziona
    per quello che stai facendo..in teoria dovresti fare

    DISPLAY=:0 fgl_glxgears

      Quota

  • mastino ITALY 12 anni ago

    come si dice dalle mie parti : tranquillo è morto!!
    il bello è che non sto con xgl!!

      Quota

  • @mastino
    ora provo ad installare gli 8.37

      Quota

  • mastino ITALY 12 anni ago

    non credo dipenda dai driver..ieri hanno smesso di funzionare anche gli 8.36.. stesso problema.pensavo fossero i driver per questo li ho aggiornati, ma il problema è rimasto.come mai mi dice read-only file system??? grazie mille per il tuo supporto(scusa anche la mia ignoranza..)

      Quota

  • di solito read-only filesystem..significa che ,per sicurezza,la partizione e’ stata montata solo in lettura..
    l’ho visto qualche volta al boot..ma mai in sessione..quindi non credo sia la stessa cosa
    per gli errori,quando non sono propio “standard”,bisogna googlelare…

      Quota

  • mastino ITALY 12 anni ago

    risolto il problema:
    seguendo una guida sulla sicurezza ho fatto questo:

    # Reconfiguring shared memory
    Load your favorite text editor, open the file “/etc/fstab” and add the following line of code:

    tmpfs /dev/shm tmpfs defaults,ro 0 0

    adesso è tutto ok!grazie per il tempo dedicatomi!!
    ps: io adesso quella riga l’ho tolta! è necessaria??

      Quota

  • Fraev ITALY 11 anni ago

    io ho avuto più che altro problemi con mplayer :/

    a voi è capitato niente di simile?

      Quota

  • Fraev
    che tipo di problemi?

      Quota

  • Stefano ITALY 11 anni ago

    Installando i driver ATI avevo avuto in passato problemi con le console di testo, (ctrl+alt+f1) lo schermo si metteva a lampeggiare ed ha mostrare righe verticali.

    Avevo risolto mettendo vga=791 in fondo alla riga kernel in menu.lst (grub).

    Da quando ho aggiornato ho aggiornato da Feisty a Gusty non riesco a risolverlo, X funziona, le console di testo no.

    Qualche idea?
    grazie,
    ciao
    s.

      Quota

  • RobertLover ITALY 11 anni ago

    Ho seguito la tua guida per configurare una ATI X1950 su (kubuntu gutsy). Purtroppo ogni tentativo fallisce. Avevo gia’ provato con altre guide, ma appena se nel xorg.conf come driver c’e’ “fglrx” al posto di “vesa” la fase di boot fallisce e piuttosto che partire il server X si presenta il PROMT. Ho provato con la versione dei driver 8.40.4 che ho letto funzionare con la X1950… qualche consiglio per cercare di risolvere? Grazie

      Quota

  • @RobertLover
    quale guida hai seguito?..questa e’ quella per rimuovere i driver fglrx…

      Quota

  • roebrtlover ITALY 11 anni ago

    @divilinu

    …e reinstallarli…

    Prima avevo installato driver più vecchi che comunque non funzionavano. Quindi ho trovato giusto eliminarli prima di procedere all’installazione di quelli nuovi.

      Quota

  • quando arrivi al prompt pero’ devi riportare l’errore del mancato caricamento di X semplicemente digitando

    startx

    altrimenti non posso capire perche’ non si avvia

      Quota